classification
Title: mac: Install 2to3 in /usr/local/bin
Type: enhancement Stage:
Components: Installation, macOS Versions: Python 3.2, Python 2.7
process
Status: closed Resolution: works for me
Dependencies: Superseder:
Assigned To: ronaldoussoren Nosy List: eric.araujo, ned.deily, ronaldoussoren, srid
Priority: normal Keywords:

Created on 2010-08-13 22:29 by srid, last changed 2010-09-21 03:32 by ned.deily. This issue is now closed.

Messages (5)
msg113845 - (view) Author: Sridhar Ratnakumar (srid) Date: 2010-08-13 22:28
According to Mac/Makefile.in, scripts like pydoc, idle, smtpd.py and so on gets symlinked in /usr/local/bin but there is none for 2to3. Perhaps this was forgotten?
msg116978 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2010-09-20 21:27
Which makefile target are you referring to?  I see 2to3 listed alongside idle and other programs in some targets.  Also, doesn’t this apply to 3.1?
msg117007 - (view) Author: Sridhar Ratnakumar (srid) Date: 2010-09-20 23:49
Ah, please close this then. I am not sure what I was thinking when reporting this bug.
msg117011 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2010-09-21 00:11
I haven’t checked that *every* target containing pydoc contained 2to3 too.
msg117025 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2010-09-21 03:32
All of the current installers create 2to3 or versioned 2to3 links only (for Python 3).  The most recent change was for 2.7 in Issue9392. Please reopen if you find one that's missed.
History
Date User Action Args
2010-09-21 03:32:05ned.deilysetstatus: open -> closed

nosy: + ned.deily
messages: + msg117025

resolution: works for me
2010-09-21 00:11:36eric.araujosetmessages: + msg117011
2010-09-20 23:49:11sridsetmessages: + msg117007
2010-09-20 21:27:38eric.araujosetnosy: ronaldoussoren, eric.araujo, srid
components: + macOS
2010-09-20 21:27:18eric.araujosetnosy: ronaldoussoren, eric.araujo, srid
components: + Installation, - Build, macOS, 2to3 (2.x to 3.x conversion tool)
2010-09-20 21:27:03eric.araujosetnosy: + eric.araujo
messages: + msg116978
2010-08-13 22:55:19loewissetversions: - Python 2.6
2010-08-13 22:29:00sridcreate